Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.0.3 generated on February 20 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.jdbc.sql
Class DBMetaData

    java.lang.Object
      |
      +--kodo.jdbc.sql.DBMetaData

public class DBMetaData
extends Object

The DBMetaData class is a wrapper around a DatabaseMetaData instance. It provides the following additional features:

- It only needs to be initialized once with a single Connection, and can later be re-used by itself.
- It uses reflection to obtain values for all the fields, so JDBC1 drivers can be safely used (JDBC2+ values will remain set to their default values).

Field Summary
`boolean` | `allProceduresAreCallable` Can all the procedures returned by getProcedures be called by the current user?
`boolean` | `allTablesAreSelectable` Can all the tables returned by getTable be SELECTed by the current user?
`String` | `catalogSeparator` What's the separator between catalog and table name?
`String` | `catalogTerm` What's the database vendor's preferred term for "catalog"?
`String` | `databaseProductName` What's the name of this database product?
`String` | `databaseProductVersion` What's the version of this database product?
`boolean` | `dataDefinitionCausesTransactionCommit` Does a data definition statement within a transaction force the transaction to commit?
`boolean` | `dataDefinitionIgnoredInTransactions` Is a data definition statement within a transaction ignored?
`int` | `defaultTransactionIsolation` What's the database's default transaction isolation level? The values are defined in java.sql.Connection.
`boolean` | `doesMaxRowSizeIncludeBlobs` Did getMaxRowSize() include LONGVARCHAR and LONGVARBINARY blobs?
`double` | `driverCompleteVersion` The complete version of the driver: driverMajorVersion.driverMinorVersion
`int` | `driverMajorVersion` What's this JDBC driver's major version number?
`int` | `driverMinorVersion` What's this JDBC driver's minor version number?
`String` | `driverName` What's the name of this JDBC driver?
`String` | `driverVersion` What's the version of this JDBC driver?
`String` | `extraNameCharacters` Gets all the "extra" characters that can be used in unquoted identifier names (those beyond a-z, A-Z, 0-9 and _).
`String` | `identifierQuoteString` What's the string used to quote SQL identifiers? This returns a space " " if identifier quoting isn't supported.
`boolean` | `isCatalogAtStart` Does a catalog appear at the start of a qualified table name? (Otherwise it appears at the end)
`boolean` | `isReadOnly` Is the database in read-only mode?
`int` | `jdbcVersion` The version of the JDBC specification in use: either 1, 2, or 3.
`int` | `maxBinaryLiteralLength` How many hex characters can you have in an inline binary literal?
`int` | `maxCatalogNameLength` What's the maximum length of a catalog name?
`int` | `maxCharLiteralLength` What's the max length for a character literal?
`int` | `maxColumnNameLength` What's the limit on column name length?
`int` | `maxColumnsInGroupBy` What's the maximum number of columns in a "GROUP BY" clause?
`int` | `maxColumnsInIndex` What's the maximum number of columns allowed in an index?
`int` | `maxColumnsInOrderBy` What's the maximum number of columns in an "ORDER BY" clause?
`int` | `maxColumnsInSelect` What's the maximum number of columns in a "SELECT" list?
`int` | `maxColumnsInTable` What's the maximum number of columns in a table?
`int` | `maxConnections` How many active connections can we have at a time to this database?
`int` | `maxCursorNameLength` What's the maximum cursor name length?
`int` | `maxIndexLength` What's the maximum length of an index (in bytes)?
`int` | `maxProcedureNameLength` What's the maximum length of a procedure name?
`int` | `maxRowSize` What's the maximum length of a single row?
`int` | `maxSchemaNameLength` What's the maximum length allowed for a schema name?
`int` | `maxStatementLength` What's the maximum length of a SQL statement?
`int` | `maxStatements` How many active statements can we have open at one time to this database?
`int` | `maxTableNameLength` What's the maximum length of a table name?
`int` | `maxTablesInSelect` What's the maximum number of tables in a SELECT statement?
`int` | `maxUserNameLength` What's the maximum length of a user name?
`String` | `metaDataClassName` The connection class.
`boolean` | `nullPlusNonNullIsNull` Are concatenations between NULL and non-NULL values NULL? A JDBC CompliantTM driver always returns true.
`boolean` | `nullsAreSortedAtEnd` Are NULL values sorted at the end regardless of sort order?
`boolean` | `nullsAreSortedAtStart` Are NULL values sorted at the start regardless of sort order?
`boolean` | `nullsAreSortedHigh` Are NULL values sorted high?
`boolean` | `nullsAreSortedLow` Are NULL values sorted low?
`String` | `numericFunctions` Gets a comma-separated list of math functions.
`String` | `procedureTerm` What's the database vendor's preferred term for "procedure"?
`String` | `schemaTerm` What's the database vendor's preferred term for "schema"?
`String` | `searchStringEscape` Gets the string that can be used to escape wildcard characters.
`String` | `sqlKeywords` Gets a comma-separated list of all a database's SQL keywords that are NOT also SQL92 keywords.
`boolean` | `storesLowerCaseIdentifiers` Does the database treat mixed case unquoted SQL identifiers as case insensitive and store them in lower case?
`boolean` | `storesLowerCaseQuotedIdentifiers` Does the database treat mixed case quoted SQL identifiers as case insensitive and store them in lower case?
`boolean` | `storesMixedCaseIdentifiers` Does the database treat mixed case unquoted SQL identifiers as case insensitive and store them in mixed case?
`boolean` | `storesMixedCaseQuotedIdentifiers` Does the database treat mixed case quoted SQL identifiers as case insensitive and store them in mixed case?
`boolean` | `storesUpperCaseIdentifiers` Does the database treat mixed case unquoted SQL identifiers as case insensitive and store them in upper case?
`boolean` | `storesUpperCaseQuotedIdentifiers` Does the database treat mixed case quoted SQL identifiers as case insensitive and store them in upper case?
`String` | `stringFunctions` Gets a comma-separated list of string functions.
`boolean` | `supportsAlterTableWithAddColumn` Is "ALTER TABLE" with add column supported?
`boolean` | `supportsAlterTableWithDropColumn` Is "ALTER TABLE" with drop column supported?
`boolean` | `supportsANSI92EntryLevelSQL` Is the ANSI92 entry level SQL grammar supported? All JDBC CompliantTM drivers must return true.
`boolean` | `supportsANSI92FullSQL` Is the ANSI92 full SQL grammar supported?
`boolean` | `supportsANSI92IntermediateSQL` Is the ANSI92 intermediate SQL grammar supported?
`boolean` | `supportsBatchUpdates` JDBC 2.0 Indicates whether the driver supports batch updates.
`boolean` | `supportsCatalogsInDataManipulation` Can a catalog name be used in a data manipulation statement?
`boolean` | `supportsCatalogsInIndexDefinitions` Can a catalog name be used in an index definition statement?
`boolean` | `supportsCatalogsInPrivilegeDefinitions` Can a catalog name be used in a privilege definition statement?
`boolean` | `supportsCatalogsInProcedureCalls` Can a catalog name be used in a procedure call statement?
`boolean` | `supportsCatalogsInTableDefinitions` Can a catalog name be used in a table definition statement?
`boolean` | `supportsColumnAliasing` Is column aliasing supported?
`boolean` | `supportsConvert` Is the CONVERT function between SQL types supported?
`boolean` | `supportsCoreSQLGrammar` Is the ODBC Core SQL grammar supported?
`boolean` | `supportsCorrelatedSubqueries` Are correlated subqueries supported? A JDBC CompliantTM driver always returns true.
`boolean` | `supportsDataDefinitionAndDataManipulationTransactions` Are both data definition and data manipulation statements within a transaction supported?
`boolean` | `supportsDataManipulationTransactionsOnly` Are only data manipulation statements within a transaction supported?
`boolean` | `supportsDifferentTableCorrelationNames` If table correlation names are supported, are they restricted to be different from the names of the tables?
`boolean` | `supportsExpressionsInOrderBy` Are expressions in "ORDER BY" lists supported?
`boolean` | `supportsExtendedSQLGrammar` Is the ODBC Extended SQL grammar supported?
`boolean` | `supportsFullOuterJoins` Are full nested outer joins supported?
`boolean` | `supportsGroupBy` Is some form of "GROUP BY" clause supported?
`boolean` | `supportsGroupByBeyondSelect` Can a "GROUP BY" clause add columns not in the SELECT provided it specifies all the columns in the SELECT?
`boolean` | `supportsGroupByUnrelated` Can a "GROUP BY" clause use columns not in the SELECT?
`boolean` | `supportsIntegrityEnhancementFacility` Is the SQL Integrity Enhancement Facility supported?
`boolean` | `supportsLikeEscapeClause` Is the escape character in "LIKE" clauses supported ? A JDBC CompliantTM driver always returns true.
`boolean` | `supportsLimitedOuterJoins` Is there limited support for outer joins? (This will be true if supportFullOuterJoins is true.)
`boolean` | `supportsMinimumSQLGrammar` Is the ODBC Minimum SQL grammar supported? All JDBC CompliantTM drivers must return true.
`boolean` | `supportsMixedCaseIdentifiers` Does the database treat mixed case unquoted SQL identifiers as case sensitive and as a result store them in mixed case? A JDBC CompliantTM driver will always return false.
`boolean` | `supportsMixedCaseQuotedIdentifiers` Does the database treat mixed case quoted SQL identifiers as case sensitive and as a result store them in mixed case? A JDBC CompliantTM driver will always return true.
`boolean` | `supportsMultipleResultSets` Are multiple ResultSets from a single execute supported?
`boolean` | `supportsMultipleTransactions` Can we have multiple transactions open at once (on different connections)?
`boolean` | `supportsNonNullableColumns` Can columns be defined as non-nullable? A JDBC CompliantTM driver always returns true.
`boolean` | `supportsOpenCursorsAcrossCommit` Can cursors remain open across commits?
`boolean` | `supportsOpenCursorsAcrossRollback` Can cursors remain open across rollbacks?
`boolean` | `supportsOpenStatementsAcrossCommit` Can statements remain open across commits?
`boolean` | `supportsOpenStatementsAcrossRollback` Can statements remain open across rollbacks?
`boolean` | `supportsOrderByUnrelated` Can an "ORDER BY" clause use columns not in the SELECT statement?
`boolean` | `supportsOuterJoins` Is some form of outer join supported?
`boolean` | `supportsPositionedDelete` Is positioned DELETE supported?
`boolean` | `supportsPositionedUpdate` Is positioned UPDATE supported?
`boolean` | `supportsSchemasInDataManipulation` Can a schema name be used in a data manipulation statement?
`boolean` | `supportsSchemasInIndexDefinitions` Can a schema name be used in an index definition statement?
`boolean` | `supportsSchemasInPrivilegeDefinitions` Can a schema name be used in a privilege definition statement?
`boolean` | `supportsSchemasInProcedureCalls` Can a schema name be used in a procedure call statement?
`boolean` | `supportsSchemasInTableDefinitions` Can a schema name be used in a table definition statement?
`boolean` | `supportsScrollableResultSets` Are scroll-insensitive result sets supported?
`boolean` | `supportsSelectForUpdate` Is SELECT for UPDATE supported?
`boolean` | `supportsStoredProcedures` Are stored procedure calls using the stored procedure escape syntax supported?
`boolean` | `supportsSubqueriesInComparisons` Are subqueries in comparison expressions supported ? A JDBC CompliantTM driver always returns true.
`boolean` | `supportsSubqueriesInExists` Are subqueries in 'exists' expressions supported? A JDBC CompliantTM driver always returns true.
`boolean` | `supportsSubqueriesInIns` Are subqueries in 'in' statements supported? A JDBC CompliantTM driver always returns true.
`boolean` | `supportsSubqueriesInQuantifieds` Are subqueries in quantified expressions supported ? A JDBC CompliantTM driver always returns true.
`boolean` | `supportsTableCorrelationNames` Are table correlation names supported? A JDBC CompliantTM driver always returns true.
`boolean` | `supportsTransactions` Are transactions supported? If not, invoking the method commit is a noop and the isolation level is TRANSACTION_NONE.
`boolean` | `supportsUnion` Is SQL UNION supported?
`boolean` | `supportsUnionAll` Is SQL UNION ALL supported?
`String` | `systemFunctions` Gets a comma-separated list of system functions.
`String` | `timeDateFunctions` Gets a comma-separated list of time and date functions.
`String` | `url` What's the url for this database?
`String` | `userName` What's our user name as known to the database?
`boolean` | `usesLocalFilePerTable` Does the database use a file for each table?
`boolean` | `usesLocalFiles` Does the database store tables in a local file?

Constructor Summary
`DBMetaData(DatabaseMetaData dmd)`

Method Summary
`String` | `getPreferredTypeName(int sqlType)` Return the name of this DB's SQL type for the given type constant from `Types`, or the closest type that this DB supports.
`int` | `getSQLType(String dbType)`
`boolean` | `isReserved(String name)` Return true if the given string is a keyword in this database.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### metaDataClassName

    public final String metaDataClassName

  The connection class.

### jdbcVersion

    public final int jdbcVersion

  The version of the JDBC specification in use: either 1, 2, or 3.

### allProceduresAreCallable

    public final boolean allProceduresAreCallable

  Can all the procedures returned by getProcedures be called by the current user?

### allTablesAreSelectable

    public final boolean allTablesAreSelectable

  Can all the tables returned by getTable be SELECTed by the current user?

### dataDefinitionCausesTransactionCommit

    public final boolean dataDefinitionCausesTransactionCommit

  Does a data definition statement within a transaction force the transaction to commit?

### dataDefinitionIgnoredInTransactions

    public final boolean dataDefinitionIgnoredInTransactions

  Is a data definition statement within a transaction ignored?

### doesMaxRowSizeIncludeBlobs

    public final boolean doesMaxRowSizeIncludeBlobs

  Did getMaxRowSize() include LONGVARCHAR and LONGVARBINARY blobs?

### catalogSeparator

    public final String catalogSeparator

  What's the separator between catalog and table name?

### catalogTerm

    public final String catalogTerm

  What's the database vendor's preferred term for "catalog"?

### databaseProductName

    public final String databaseProductName

  What's the name of this database product?

### databaseProductVersion

    public final String databaseProductVersion

  What's the version of this database product?

### defaultTransactionIsolation

    public final int defaultTransactionIsolation

  What's the database's default transaction isolation level? The values are defined in java.sql.Connection.

### driverMajorVersion

    public final int driverMajorVersion

  What's this JDBC driver's major version number?

### driverMinorVersion

    public final int driverMinorVersion

  What's this JDBC driver's minor version number?

### driverCompleteVersion

    public final double driverCompleteVersion

  The complete version of the driver: driverMajorVersion.driverMinorVersion

### driverName

    public final String driverName

  What's the name of this JDBC driver?

### driverVersion

    public final String driverVersion

  What's the version of this JDBC driver?

### extraNameCharacters

    public final String extraNameCharacters

  Gets all the "extra" characters that can be used in unquoted identifier names (those beyond a-z, A-Z, 0-9 and _).

### identifierQuoteString

    public final String identifierQuoteString

  What's the string used to quote SQL identifiers? This returns a space " " if identifier quoting isn't supported.

### maxBinaryLiteralLength

    public final int maxBinaryLiteralLength

  How many hex characters can you have in an inline binary literal?

### maxCatalogNameLength

    public final int maxCatalogNameLength

  What's the maximum length of a catalog name?

### maxCharLiteralLength

    public final int maxCharLiteralLength

  What's the max length for a character literal?

### maxColumnNameLength

    public final int maxColumnNameLength

  What's the limit on column name length?

### maxColumnsInGroupBy

    public final int maxColumnsInGroupBy

  What's the maximum number of columns in a "GROUP BY" clause?

### maxColumnsInIndex

    public final int maxColumnsInIndex

  What's the maximum number of columns allowed in an index?

### maxColumnsInOrderBy

    public final int maxColumnsInOrderBy

  What's the maximum number of columns in an "ORDER BY" clause?

### maxColumnsInSelect

    public final int maxColumnsInSelect

  What's the maximum number of columns in a "SELECT" list?

### maxColumnsInTable

    public final int maxColumnsInTable

  What's the maximum number of columns in a table?

### maxConnections

    public final int maxConnections

  How many active connections can we have at a time to this database?

### maxCursorNameLength

    public final int maxCursorNameLength

  What's the maximum cursor name length?

### maxIndexLength

    public final int maxIndexLength

  What's the maximum length of an index (in bytes)?

### maxProcedureNameLength

    public final int maxProcedureNameLength

  What's the maximum length of a procedure name?

### maxRowSize

    public final int maxRowSize

  What's the maximum length of a single row?

### maxSchemaNameLength

    public final int maxSchemaNameLength

  What's the maximum length allowed for a schema name?

### maxStatementLength

    public final int maxStatementLength

  What's the maximum length of a SQL statement?

### maxStatements

    public final int maxStatements

  How many active statements can we have open at one time to this database?

### maxTableNameLength

    public final int maxTableNameLength

  What's the maximum length of a table name?

### maxTablesInSelect

    public final int maxTablesInSelect

  What's the maximum number of tables in a SELECT statement?

### maxUserNameLength

    public final int maxUserNameLength

  What's the maximum length of a user name?

### numericFunctions

    public final String numericFunctions

  Gets a comma-separated list of math functions.

### procedureTerm

    public final String procedureTerm

  What's the database vendor's preferred term for "procedure"?

### schemaTerm

    public final String schemaTerm

  What's the database vendor's preferred term for "schema"?

### searchStringEscape

    public final String searchStringEscape

  Gets the string that can be used to escape wildcard characters.

### sqlKeywords

    public final String sqlKeywords

  Gets a comma-separated list of all a database's SQL keywords that are NOT also SQL92 keywords.

### stringFunctions

    public final String stringFunctions

  Gets a comma-separated list of string functions.

### systemFunctions

    public final String systemFunctions

  Gets a comma-separated list of system functions.

### timeDateFunctions

    public final String timeDateFunctions

  Gets a comma-separated list of time and date functions.

### url

    public final String url

  What's the url for this database?

### userName

    public final String userName

  What's our user name as known to the database?

### isCatalogAtStart

    public final boolean isCatalogAtStart

  Does a catalog appear at the start of a qualified table name? (Otherwise it appears at the end)

### isReadOnly

    public final boolean isReadOnly

  Is the database in read-only mode?

### nullPlusNonNullIsNull

    public final boolean nullPlusNonNullIsNull

  Are concatenations between NULL and non-NULL values NULL? A JDBC CompliantTM driver always returns true.

### nullsAreSortedAtEnd

    public final boolean nullsAreSortedAtEnd

  Are NULL values sorted at the end regardless of sort order?

### nullsAreSortedAtStart

    public final boolean nullsAreSortedAtStart

  Are NULL values sorted at the start regardless of sort order?

### nullsAreSortedHigh

    public final boolean nullsAreSortedHigh

  Are NULL values sorted high?

### nullsAreSortedLow

    public final boolean nullsAreSortedLow

  Are NULL values sorted low?

### storesLowerCaseIdentifiers

    public final boolean storesLowerCaseIdentifiers

  Does the database treat mixed case unquoted SQL identifiers as case insensitive and store them in lower case?

### storesLowerCaseQuotedIdentifiers

    public final boolean storesLowerCaseQuotedIdentifiers

  Does the database treat mixed case quoted SQL identifiers as case insensitive and store them in lower case?

### storesMixedCaseIdentifiers

    public final boolean storesMixedCaseIdentifiers

  Does the database treat mixed case unquoted SQL identifiers as case insensitive and store them in mixed case?

### storesMixedCaseQuotedIdentifiers

    public final boolean storesMixedCaseQuotedIdentifiers

  Does the database treat mixed case quoted SQL identifiers as case insensitive and store them in mixed case?

### storesUpperCaseIdentifiers

    public final boolean storesUpperCaseIdentifiers

  Does the database treat mixed case unquoted SQL identifiers as case insensitive and store them in upper case?

### storesUpperCaseQuotedIdentifiers

    public final boolean storesUpperCaseQuotedIdentifiers

  Does the database treat mixed case quoted SQL identifiers as case insensitive and store them in upper case?

### supportsAlterTableWithAddColumn

    public final boolean supportsAlterTableWithAddColumn

  Is "ALTER TABLE" with add column supported?

### supportsAlterTableWithDropColumn

    public final boolean supportsAlterTableWithDropColumn

  Is "ALTER TABLE" with drop column supported?

### supportsANSI92EntryLevelSQL

    public final boolean supportsANSI92EntryLevelSQL

  Is the ANSI92 entry level SQL grammar supported? All JDBC CompliantTM drivers must return true.

### supportsANSI92FullSQL

    public final boolean supportsANSI92FullSQL

  Is the ANSI92 full SQL grammar supported?

### supportsANSI92IntermediateSQL

    public final boolean supportsANSI92IntermediateSQL

  Is the ANSI92 intermediate SQL grammar supported?

### supportsCatalogsInDataManipulation

    public final boolean supportsCatalogsInDataManipulation

  Can a catalog name be used in a data manipulation statement?

### supportsCatalogsInIndexDefinitions

    public final boolean supportsCatalogsInIndexDefinitions

  Can a catalog name be used in an index definition statement?

### supportsCatalogsInPrivilegeDefinitions

    public final boolean supportsCatalogsInPrivilegeDefinitions

  Can a catalog name be used in a privilege definition statement?

### supportsCatalogsInProcedureCalls

    public final boolean supportsCatalogsInProcedureCalls

  Can a catalog name be used in a procedure call statement?

### supportsCatalogsInTableDefinitions

    public final boolean supportsCatalogsInTableDefinitions

  Can a catalog name be used in a table definition statement?

### supportsColumnAliasing

    public final boolean supportsColumnAliasing

  Is column aliasing supported?

### supportsConvert

    public final boolean supportsConvert

  Is the CONVERT function between SQL types supported?

### supportsCoreSQLGrammar

    public final boolean supportsCoreSQLGrammar

  Is the ODBC Core SQL grammar supported?

### supportsCorrelatedSubqueries

    public final boolean supportsCorrelatedSubqueries

  Are correlated subqueries supported? A JDBC CompliantTM driver always returns true.

### supportsDataDefinitionAndDataManipulationTransactions

    public final boolean supportsDataDefinitionAndDataManipulationTransactions

  Are both data definition and data manipulation statements within a transaction supported?

### supportsDataManipulationTransactionsOnly

    public final boolean supportsDataManipulationTransactionsOnly

  Are only data manipulation statements within a transaction supported?

### supportsDifferentTableCorrelationNames

    public final boolean supportsDifferentTableCorrelationNames

  If table correlation names are supported, are they restricted to be different from the names of the tables?

### supportsExpressionsInOrderBy

    public final boolean supportsExpressionsInOrderBy

  Are expressions in "ORDER BY" lists supported?

### supportsExtendedSQLGrammar

    public final boolean supportsExtendedSQLGrammar

  Is the ODBC Extended SQL grammar supported?

### supportsFullOuterJoins

    public final boolean supportsFullOuterJoins

  Are full nested outer joins supported?

### supportsGroupBy

    public final boolean supportsGroupBy

  Is some form of "GROUP BY" clause supported?

### supportsGroupByBeyondSelect

    public final boolean supportsGroupByBeyondSelect

  Can a "GROUP BY" clause add columns not in the SELECT provided it specifies all the columns in the SELECT?

### supportsGroupByUnrelated

    public final boolean supportsGroupByUnrelated

  Can a "GROUP BY" clause use columns not in the SELECT?

### supportsIntegrityEnhancementFacility

    public final boolean supportsIntegrityEnhancementFacility

  Is the SQL Integrity Enhancement Facility supported?

### supportsLikeEscapeClause

    public final boolean supportsLikeEscapeClause

  Is the escape character in "LIKE" clauses supported ? A JDBC CompliantTM driver always returns true.

### supportsLimitedOuterJoins

    public final boolean supportsLimitedOuterJoins

  Is there limited support for outer joins? (This will be true if supportFullOuterJoins is true.)

### supportsMinimumSQLGrammar

    public final boolean supportsMinimumSQLGrammar

  Is the ODBC Minimum SQL grammar supported? All JDBC CompliantTM drivers must return true.

### supportsMixedCaseIdentifiers

    public final boolean supportsMixedCaseIdentifiers

  Does the database treat mixed case unquoted SQL identifiers as case sensitive and as a result store them in mixed case? A JDBC CompliantTM driver will always return false.

### supportsMixedCaseQuotedIdentifiers

    public final boolean supportsMixedCaseQuotedIdentifiers

  Does the database treat mixed case quoted SQL identifiers as case sensitive and as a result store them in mixed case? A JDBC CompliantTM driver will always return true.

### supportsMultipleResultSets

    public final boolean supportsMultipleResultSets

  Are multiple ResultSets from a single execute supported?

### supportsMultipleTransactions

    public final boolean supportsMultipleTransactions

  Can we have multiple transactions open at once (on different connections)?

### supportsNonNullableColumns

    public final boolean supportsNonNullableColumns

  Can columns be defined as non-nullable? A JDBC CompliantTM driver always returns true.

### supportsOpenCursorsAcrossCommit

    public final boolean supportsOpenCursorsAcrossCommit

  Can cursors remain open across commits?

### supportsOpenCursorsAcrossRollback

    public final boolean supportsOpenCursorsAcrossRollback

  Can cursors remain open across rollbacks?

### supportsOpenStatementsAcrossCommit

    public final boolean supportsOpenStatementsAcrossCommit

  Can statements remain open across commits?

### supportsOpenStatementsAcrossRollback

    public final boolean supportsOpenStatementsAcrossRollback

  Can statements remain open across rollbacks?

### supportsOrderByUnrelated

    public final boolean supportsOrderByUnrelated

  Can an "ORDER BY" clause use columns not in the SELECT statement?

### supportsOuterJoins

    public final boolean supportsOuterJoins

  Is some form of outer join supported?

### supportsPositionedDelete

    public final boolean supportsPositionedDelete

  Is positioned DELETE supported?

### supportsPositionedUpdate

    public final boolean supportsPositionedUpdate

  Is positioned UPDATE supported?

### supportsSchemasInDataManipulation

    public final boolean supportsSchemasInDataManipulation

  Can a schema name be used in a data manipulation statement?

### supportsSchemasInIndexDefinitions

    public final boolean supportsSchemasInIndexDefinitions

  Can a schema name be used in an index definition statement?

### supportsSchemasInPrivilegeDefinitions

    public final boolean supportsSchemasInPrivilegeDefinitions

  Can a schema name be used in a privilege definition statement?

### supportsSchemasInProcedureCalls

    public final boolean supportsSchemasInProcedureCalls

  Can a schema name be used in a procedure call statement?

### supportsSchemasInTableDefinitions

    public final boolean supportsSchemasInTableDefinitions

  Can a schema name be used in a table definition statement?

### supportsScrollableResultSets

    public final boolean supportsScrollableResultSets

  Are scroll-insensitive result sets supported?

### supportsSelectForUpdate

    public final boolean supportsSelectForUpdate

  Is SELECT for UPDATE supported?

### supportsStoredProcedures

    public final boolean supportsStoredProcedures

  Are stored procedure calls using the stored procedure escape syntax supported?

### supportsSubqueriesInComparisons

    public final boolean supportsSubqueriesInComparisons

  Are subqueries in comparison expressions supported ? A JDBC CompliantTM driver always returns true.

### supportsSubqueriesInExists

    public final boolean supportsSubqueriesInExists

  Are subqueries in 'exists' expressions supported? A JDBC CompliantTM driver always returns true.

### supportsSubqueriesInIns

    public final boolean supportsSubqueriesInIns

  Are subqueries in 'in' statements supported? A JDBC CompliantTM driver always returns true.

### supportsSubqueriesInQuantifieds

    public final boolean supportsSubqueriesInQuantifieds

  Are subqueries in quantified expressions supported ? A JDBC CompliantTM driver always returns true.

### supportsTableCorrelationNames

    public final boolean supportsTableCorrelationNames

  Are table correlation names supported? A JDBC CompliantTM driver always returns true.

### supportsTransactions

    public final boolean supportsTransactions

  Are transactions supported? If not, invoking the method commit is a noop and the isolation level is TRANSACTION_NONE.

### supportsUnion

    public final boolean supportsUnion

  Is SQL UNION supported?

### supportsUnionAll

    public final boolean supportsUnionAll

  Is SQL UNION ALL supported?

### usesLocalFilePerTable

    public final boolean usesLocalFilePerTable

  Does the database use a file for each table?

### usesLocalFiles

    public final boolean usesLocalFiles

  Does the database store tables in a local file?

### supportsBatchUpdates

    public final boolean supportsBatchUpdates

  JDBC 2.0 Indicates whether the driver supports batch updates.

Constructor Detail

### DBMetaData

    public DBMetaData(DatabaseMetaData dmd)

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getSQLType

    public int getSQLType(String dbType)

### getPreferredTypeName

    public String getPreferredTypeName(int sqlType)

  Return the name of this DB's SQL type for the given type constant from `Types`, or the closest type that this DB supports.

### isReserved

    public boolean isReserved(String name)

  Return true if the given string is a keyword in this database.

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.0.3 generated on February 20 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.